describe('スタブ', function() {
  it('メソッドの振る舞いを書き換える', function() {
    var obj = { method: function() {} };
    // （1）methodメソッドをスタブ化
    var stub = sinon.stub(obj, 'method');
    // （2）戻り値を設定
    stub.returns(10);

    // （3）スタブに設定した戻り値が返ってくる
    expect(obj.method()).to.be(10);
  });
});
